#!/bin/bash


export COPYFILE_DISABLE=true

if [[ -d universal-darwin ]]; then
	rm -R universal-darwin
fi

mkdir universal-darwin

cd RawCode/x86_64-apple-darwin18.7.0
files=`ls`
for f in $files; do
	if  ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]] && [[ -e ../aarch64-apple-darwin20.3.0/$f ]]; then		
	lipo $f ../aarch64-apple-darwin20.3.0/$f -create -output ../../universal-darwin/$f
	fi
done

for f in $files; do
	if  ! [[ -L $f ]] && [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]  && ! [[ -e ../../RawCode/aarch64-apple-darwin20.3.0/$f ]]; then
	# echo $f$		
	cp $f ../../universal-darwin/$f
	fi
done

for f in $files; do
	if  ! [[ -L $f ]] && ! [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]  ; then
	# echo $f$		
	cp $f ../../universal-darwin/$f
	fi
done

for f in $files; do
	if  [[ -L $f ]] ; then
	# echo $f$		
	cp -R $f ../../universal-darwin/$f
	fi
done

cd ../../

cd RawCodeAsymptote
lipo asy-Intel asy-Arm -create -output ../universal-darwin/asy
cd ../universal-darwin
ln -s ../../texmf-dist/asymptote/GUI/xasy.py xasy
cd ..


cd universal-darwin
chgrp wheel *


cd ..



